% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/asamplesize.R
\name{stra.mny}
\alias{stra.mny}
\title{Calculate sample size based on stratified sampling and neyman allocaton for estimating average.}
\usage{
stra.mny(N, var, e, alpha)
}
\arguments{
\item{N}{Total population.}

\item{var}{Population variance or variance obtained from pilot study.}

\item{e}{Effect size.}

\item{alpha}{Level of Significant.}
}
\value{
n the total sample size which does not rounding up the decimal.

Nh the population sizes, i.e. the number of units in each stratum.

nh the sample sizes in each stratum.

total the summary of nh.
}
\description{
stra.mny function calculates sample size based on stratified sampling and neyman allocaton for estimating average.
}
\examples{
# Vector of population total
N=c(600, 300, 100)
# Vector of variance
var=c(400, 900, 2500)
# Calculate sample size
x=stra.mny(N, var, 3, 0.0027)
# Data retrieval of nh
x$nh

}
