% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/asamplesize.R
\name{stra.pny}
\alias{stra.pny}
\title{Calculate sample size based on stratified sampling and neyman allocaton for estimating proportion.}
\usage{
stra.pny(N, p, e, alpha)
}
\arguments{
\item{N}{Total population.}

\item{p}{Population proportion or proportion obtained from pilot study.}

\item{e}{Effect size.}

\item{alpha}{Level of Significant.}
}
\value{
n the total sample size which does not rounding up the decimal.

Nh the population sizes, i.e. the number of units in each stratum.

nh the sample sizes in each stratum.

total the summary of nh.
}
\description{
stra.pny function calculates sample size based on stratified sampling and neyman allocaton for estimating proportion.
}
\examples{
# Vector of population total
N=c(2000,3000,4000)
# Vector of proportion
p=c(0.10, 0.15, 0.20)
# Calculate sample size
x=stra.pny(N, p, 0.03, 0.027)
# Data retrieval of nh
x$nh

}
