% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/asamplesize.R
\name{stra.to}
\alias{stra.to}
\title{Calculate sample size based on stratified sampling and optimum allocaton for estimating population total.}
\usage{
stra.to(N, var, c, e, alpha)
}
\arguments{
\item{N}{Total population.}

\item{var}{Population variance or variance obtained from pilot study.}

\item{c}{Unit cost.}

\item{e}{Effect size.}

\item{alpha}{Level of Significant.}
}
\value{
n the total sample size which does not rounding up the decimal.

Nh the population sizes, i.e. the number of units in each stratum.

nh the sample sizes in each stratum.

total the summary of nh.
}
\description{
stra.to function calculates sample size based on stratified sampling and optimum allocaton for estimating population total.
}
\examples{
# Vector of population total
N=c(120, 160, 240)
# Vector of variance
var=c(441, 225, 100)
# Vector of unit cost
c=c(25, 30, 44)
# Calculate sample size
x=stra.to(N, var, c, 600, 0.05)
# Data retrieval of nh
x$nh

}
